GDB (xrefs)

Public Attributes | List of all members
rs6000_frame_cache Struct Reference

## Public Attributes
CORE_ADDR | base
CORE_ADDR | initial_sp
struct trad_frame_saved_reg * | saved_regs
int | base_p
CORE_ADDR | pc

## Detailed Description

Definition at line 3253 of file rs6000-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR rs6000_frame_cache::base

Definition at line 3255 of file rs6000-tdep.c.

Referenced by rs6000_epilogue_frame_cache(), rs6000_epilogue_frame_this_id(), rs6000_frame_cache(), and rs6000_frame_this_id().

## ◆ base_p

int rs6000_frame_cache::base_p

Definition at line 3262 of file rs6000-tdep.c.

Referenced by rs6000_frame_cache(), and rs6000_frame_this_id().

## ◆ initial_sp

CORE_ADDR rs6000_frame_cache::initial_sp

Definition at line 3256 of file rs6000-tdep.c.

Referenced by rs6000_epilogue_frame_cache(), rs6000_frame_base_address(), and rs6000_frame_cache().

## ◆ pc

CORE_ADDR rs6000_frame_cache::pc

Definition at line 3264 of file rs6000-tdep.c.

Referenced by rs6000_epilogue_frame_this_id(), rs6000_frame_cache(), and rs6000_frame_this_id().

## ◆ saved_regs

struct trad_frame_saved_reg* rs6000_frame_cache::saved_regs

Definition at line 3257 of file rs6000-tdep.c.

Referenced by rs6000_epilogue_frame_cache(), rs6000_epilogue_frame_prev_register(), rs6000_frame_cache(), and rs6000_frame_prev_register().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/rs6000-tdep.c